Skip to main content
POST
Create capacity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

name
string
required

Capacity name.

color
enum<string>
required

Capacity color.

Available options:
orange,
red,
purple,
green,
yellow,
grey
description
string

Capacity description.

modelUuid
string<uuid>

Model identifier for capacity mapping.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
idColumnSlug
string

Identifier column slug.

timeColumnSlug
string

Time column slug.

memberCapacity
number

Capacity per member.

allocationExpirationPolicy
Allocation expiration policy · object

Allocation expiration schedule.

filter
Filter · object

Filter criteria for capacity.

Response

Successful response

capacity
Capacity · object
required

Created capacity details.